$1 FUNCTION [dbo].[fn_FastSell_v2_StokBirimKatsayi] (@BirimPntr as Tinyint,@birim1Katsayi float,@birim2Katsayi float,@birim3Katsayi float,
@birim4Katsayi floaT)
RETURNS float AS
BEGIN
Declare @katsayi as float
set @katsayi=(CASE 
				When @BirimPntr = 1 Then @birim1Katsayi 
				When @BirimPntr = 2 Then @birim2Katsayi
				When @BirimPntr = 3 Then @birim3Katsayi
				When @BirimPntr = 4 Then @birim4Katsayi ELSE 1 END) 
IF(@katsayi<0)
	set @katsayi=@katsayi*-1
IF(@katsayi=0)
	set @katsayi=1
Return @katsayi
END